package cn.wisenergy.controller;
import cn.wisenergy.model.app.User;
import cn.wisenergy.service.app.impl.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * Created by m1991 on 2021/2/23 15:45
 */
@EnableSwagger2
@RestController
@RequestMapping("/sys")
public class UserController {
    @Autowired
    UserService userService;

    /**
     * 登录
     */
    @PostMapping("/login")
    public String login(User user){
        return
                userService.login(user);
    }

    /**
     * 注册
     * @param user
     * @return
     */
    @PostMapping("/regist")
    public String regist(User user){
        return userService.regist(user);
    }
}